﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data.SqlClient;
using System.Text;
using System.Data;
namespace _6_10_使用updateCommand方法更新数据
{
    public partial class Default : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            string result = GetSqlData();
            Response.Write(result);

        }
        private string GetSqlData()
        {
            StringBuilder ResultList = new StringBuilder();
            ResultList.Append("<table>");
            ResultList.Append("<tr><th>序号</th><th>姓名</th><th>性别</th><th>年龄</th><th>班级</th></tr>");
            OperaData od = new OperaData();
            DataSet ds = od.ExecSelect();
            od.Complete();
            DataTable dt = ds.Tables[0];
            for (int i = 0; i < dt.Rows.Count; i++)
            {
                int Id = (int)dt.Rows[i]["Id"];
                string Name = (string)dt.Rows[i]["Name"];
                string Sex = (string)dt.Rows[i]["Sex"];
                int Age = (int)dt.Rows[i]["Age"];
                string Class = (string)dt.Rows[i]["Class"];
                ResultList.Append("<tr>" + "<td>" + Id + "</td>");
                ResultList.Append("<td> " + Name + "</td> ");
                ResultList.Append("<td>" + Sex + "</td>");
                ResultList.Append("<td>" + Age + "</td>");
                ResultList.Append("<td>" + Class + "</td>" + "</tr>");
            }
            ResultList.Append("</table>");
            return ResultList.ToString();
        }
     
        protected void Button1_Click(object sender, EventArgs e)
        {
            int GetAge = 0;
            if (int.TryParse(this.TextBox1.Text,out GetAge))
            {
                OperaData od = new OperaData();
                DataSet ds = od.ExecSelect();
                foreach(DataRow dr in ds.Tables[0].Rows)
                {
                    dr["Age"] = (int)dr["Age"] + GetAge;
                    od.Update(ds);
                    od.Complete();
                }
            }
            string result = GetSqlData();
            Response.Write(result);
        }
    }

    public class OperaData
    {
        SqlConnection conn = null;
        SqlCommand comm = null;
        SqlDataAdapter Adapter = null;
        public OperaData()
        {
            conn = new SqlConnection("Server=127.0.0.1;DataBase=school;User Id=sa;Password=root1!");
            comm = new SqlCommand();
            Adapter = new SqlDataAdapter();
        }
        public DataSet ExecSelect()
        {
            conn.Open();
            comm.CommandType = System.Data.CommandType.Text;
            comm.CommandText = "SELECT * FROM Student";
            comm.Connection = conn;
            Adapter.SelectCommand = comm;
            DataSet ds = new DataSet();
            Adapter.Fill(ds);
           
            return ds;
        }
        public int Update(DataSet ds)
        {
            
            using (SqlCommandBuilder scb=new SqlCommandBuilder(Adapter))
            {
                return Adapter.Update(ds);
            }
        }
        public void Complete()
        {
            Adapter.Dispose();
            comm.Dispose();
            conn.Dispose();
        }
    }
}